#include <bits/stdc++.h>


using namespace std;
ifstream f1("b_line.inp");
ofstream f2("b_line.out");
bool cmp(int &a, int &b)
{
	return a >b;
}
int u[20000],a[300][300];
int main()
{int m,n,i,j,k,mx=-2e9,tong=0;
f1>>m>>n>>k;
for (i=1;i<=m;i++)
{for (j=1;j<=n;j++)
  {f1>>a[i][j];
    u[a[i][j]]++;
    if (a[i][j]>mx) {mx=a[i][j];}}
}
sort(u+1,u+mx+1,cmp);
for (i=1;i<=k;i++)
{
    tong=tong+u[i];
}
f2<<tong;
    return 0;
}
